Note: This bug is displayed in read-only format because
the product is no longer active in Red Hat Bugzilla.
RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
This is simply to get cleaner testsuite results on aarch64.
The following upstream patch will make sure that the testsuite doesn't produce lots of failures for the unsupported exp-sgcheck tool:
commit 59784c512ec40e588b21cf5ae8e31e9c4f99d6b8
Author: Mark Wielaard <mark>
Date: Sat May 18 14:55:50 2019 +0200
aarch64 (arm64) isn't a supported architecture for exp-sgcheck.
exp-sgcheck/pc_main.c contains:
#if defined(VGA_arm) || defined(VGA_arm64)
VG_(printf)("SGCheck doesn't work on ARM yet, sorry.\n");
VG_(exit)(1);
#endif
But exp-sgcheck/tests/is_arch_supported checked against uname -m
which returns aarch64 (not arm64). Fix the test check so the
exp-sgcheck tests are skipped instead of producing failures.
diff --git a/exp-sgcheck/tests/is_arch_supported b/exp-sgcheck/tests/is_arch_sup
index 818cc61..d4c6191 100755
--- a/exp-sgcheck/tests/is_arch_supported
+++ b/exp-sgcheck/tests/is_arch_supported
@@ -10,6 +10,6 @@
# architectures.
case `uname -m` in
- ppc*|arm*|s390x|mips*) exit 1;;
+ ppc*|aarch64|arm*|s390x|mips*) exit 1;;
*) exit 0;;
esac
Comment 2Alexandra Petlanová Hájková
2019-05-22 12:20:44 UTC
I verified exp-sgcheck tests are ignored by the testsuite on aarch64 for valgrind-3.15.0-5.el8 and fails for valgrind-3.15.0-3.el8.
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.
For information on the advisory, and where to find the updated
files, follow the link below.
If the solution does not work for you, open a new bug report.
https://access.redhat.com/errata/RHEA-2019:3346
This is simply to get cleaner testsuite results on aarch64. The following upstream patch will make sure that the testsuite doesn't produce lots of failures for the unsupported exp-sgcheck tool: commit 59784c512ec40e588b21cf5ae8e31e9c4f99d6b8 Author: Mark Wielaard <mark> Date: Sat May 18 14:55:50 2019 +0200 aarch64 (arm64) isn't a supported architecture for exp-sgcheck. exp-sgcheck/pc_main.c contains: #if defined(VGA_arm) || defined(VGA_arm64) VG_(printf)("SGCheck doesn't work on ARM yet, sorry.\n"); VG_(exit)(1); #endif But exp-sgcheck/tests/is_arch_supported checked against uname -m which returns aarch64 (not arm64). Fix the test check so the exp-sgcheck tests are skipped instead of producing failures. diff --git a/exp-sgcheck/tests/is_arch_supported b/exp-sgcheck/tests/is_arch_sup index 818cc61..d4c6191 100755 --- a/exp-sgcheck/tests/is_arch_supported +++ b/exp-sgcheck/tests/is_arch_supported @@ -10,6 +10,6 @@ # architectures. case `uname -m` in - ppc*|arm*|s390x|mips*) exit 1;; + ppc*|aarch64|arm*|s390x|mips*) exit 1;; *) exit 0;; esac